0
$\begingroup$

I try to install the tum_ardrone_sim package in my machine, so I get clone in my workspace this link https://bitbucket.org/theconstructcore/tum_ardrone_sim.git.

Finally I try to make it using this command: catkin_make However I get this error:

-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- Generating .msg files for action action_controller/MultiDofFollowJointTrajectory /home/sekmani/catkin_ws/src/tum_ardrone_sim/tum-simulator-indigo/action_controller/action/MultiDofFollowJointTrajectory.action
-- action_controller: 7 messages, 0 services
-- +++ processing catkin package: 'voxel_grid'
-- ==> add_subdirectory(navigation/voxel_grid)
-- +++ processing catkin package: 'costmap_2d'
-- ==> add_subdirectory(navigation/costmap_2d)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- Boost version: 1.65.1
-- Found the following Boost libraries:
--   system
--   thread
--   chrono
--   date_time
--   atomic
-- costmap_2d: 1 messages, 0 services
-- +++ processing catkin package: 'nav_core'
-- ==> add_subdirectory(navigation/nav_core)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'base_local_planner'
-- ==> add_subdirectory(navigation/base_local_planner)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- Boost version: 1.65.1
-- Found the following Boost libraries:
--   thread
--   chrono
--   system
--   date_time
--   atomic
-- base_local_planner: 1 messages, 0 services
-- +++ processing catkin package: 'carrot_planner'
-- ==> add_subdirectory(navigation/carrot_planner)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'clear_costmap_recovery'
-- ==> add_subdirectory(navigation/clear_costmap_recovery)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'dwa_local_planner'
-- ==> add_subdirectory(navigation/dwa_local_planner)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'move_slow_and_clear'
-- ==> add_subdirectory(navigation/move_slow_and_clear)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- Boost version: 1.65.1
-- Found the following Boost libraries:
--   thread
--   chrono
--   system
--   date_time
--   atomic
-- +++ processing catkin package: 'navfn'
-- ==> add_subdirectory(navigation/navfn)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- navfn: 0 messages, 2 services
-- NAVFN_HAVE_FLTK: 1, NETPBM: 
-- FLTK orf NETPBM not found: cannot build navtest
-- +++ processing catkin package: 'global_planner'
-- ==> add_subdirectory(navigation/global_planner)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'rotate_recovery'
-- ==> add_subdirectory(navigation/rotate_recovery)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'move_base'
-- ==> add_subdirectory(navigation/move_base)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- +++ processing catkin package: 'turtlebot3_description'
-- ==> add_subdirectory(turtlebot3/turtlebot3_description)
-- Configuring incomplete, errors occurred!
See also "/home/sekmani/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/sekmani/catkin_ws/build/CMakeFiles/CMakeError.log".
Makefile:7194: recipe for target 'cmake_check_build_system' failed
make: *** [cmake_check_build_system] Error 1
Invoking "make cmake_check_build_system" failed

I try to solve it, so I run this command: rosdep install --from-paths /home/sekmani/catkin_ws/src --ignore-src.

But also I get this error:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
amcl: [python3-pykdl] defined as "not available" for OS version [bionic]

I am using ROS melodic and Ubuntu 18.

$\endgroup$

1 Answer 1

1
$\begingroup$

Your instinct to install the rosdeps due to a missing dependency in the compile is good.

The rosdep failure is that you're missing the package definition. And the Ubuntu package python3-pykdl is not available in Bionic. It's only in Focal and newer and is explicitly stated as not available. As such I have to guess that you're using a newer version of a package on an older system.

Your build error snippet does not appear to be enough to capture the initial error. You're only showing the error handling. For more help please edit your question to include instructions how to install a minimal workspace and provide the commands you're running so we can reproduce the problem to get more help. It's likely that you're using something like a noetic branch with python3 by default but trying to build on bionic+melodic with python2.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.